Skip to main content
PUT
/
event-streams
/
{event_stream_id}
Update event stream
curl --request PUT \
  --url https://api.opal.dev/v1/event-streams/{event_stream_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enabled": true,
  "webhook_url": "<string>"
}
'
{
  "event_stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connection": {
    "name": "<string>",
    "enabled": true,
    "webhook_url": "<string>",
    "credentials": {
      "api_key_credentials": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "hmac_credential_1": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "secret": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "hmac_credential_2": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "secret": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_stream_id
string<uuid>
required

The ID of the event stream.

Body

application/json

Information needed to update an event stream.

name
string

Updated name for the event stream.

enabled
boolean

Whether the event stream should be enabled.

webhook_url
string

Updated webhook URL.

credentials
object

Authentication credentials for a webhook connection.

Response

200 - application/json

The updated event stream.

An event streaming connection that publishes events to an external system.

event_stream_id
string<uuid>
required

The ID of the event stream.

connection
object
required

The connection configuration for an event stream.

Last modified on June 5, 2026